Bug 1211072 - openvswitch 2.3.1 package missing from rdo juno epel-7 repo
Summary: openvswitch 2.3.1 package missing from rdo juno epel-7 repo
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: openvswitch
Version: Juno
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
: Juno
Assignee: Alan Pevec
QA Contact: Ofer Blaut
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-12 19:09 UTC by Jeff Weber
Modified: 2016-04-26 15:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-21 23:06:32 UTC


Attachments (Terms of Use)

Description Jeff Weber 2015-04-12 19:09:33 UTC
Description of problem:

The openvswitch 2.3.1 package is missing from the RDO Juno EPEL-7 repository found at https://repos.fedorapeople.org/repos/openstack/openstack-juno/epel-7/.  It looks like all the other sub-packages got synced, but the main package didn't.

Version-Release number of selected component (if applicable):

openvswitch-2.3.1-2

How reproducible:

Package is missing from repo, reproducible every time.

Steps to Reproduce:

1. Attempt to install RDO Juno on el7 system 

Actual results:

openvswitch 2.1.2 which doesn't work with RHEL 7.1 kernel

Expected results:

openvswitch 2.3.1 which does work with RHEL 7.1 kernel

Additional info:

Comment 1 Boris Derzhavets 2015-04-21 05:26:30 UTC
Same picture on CentOS 7.1 
During RDO Juno install pop-ups "problems in openvswitch package",
afterwards system is unstable same pop-ups during Controller and Compute
nodes booting up.

Comment 2 Boris Derzhavets 2015-04-21 08:09:03 UTC
For now downloaded openvswitch-2.3.1-2.el7.src.rpm from
https://repos.fedorapeople.org/repos/openstack/openstack-juno/epel-7/
installed and did a local build , afterwards upgrade OVS to 2.3.1

#yum install openvswitch-2.3.1-2.el7.centos.x86_64.rpm \
openvswitch-debuginfo-2.3.1-2.el7.centos.x86_64.rpm \
openvswitch-devel-2.3.1-2.el7.centos.x86_64.rpm \
openvswitch-test-2.3.1-2.el7.centos.noarch.rpm \
python-openvswitch-2.3.1-2.el7.centos.noarch.rpm

Rebooted nodes.

Controller && Network Node in Cluster ( normal behaviour after upgrade)

[root@junowks01 ~(keystone_admin)]# uname -a
Linux junowks01.localdomain 3.10.0-229.1.2.el7.x86_64 #1 SMP Fri Mar 27 03:04:26 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
[root@junowks01 ~(keystone_admin)]# ovs-vsctl show
6f9300d0-7dc1-4e40-9628-d2674760cd79
    Bridge br-int
        fail_mode: secure
        Port patch-tun
            Interface patch-tun
                type: patch
                options: {peer=patch-int}
        Port br-int
            Interface br-int
                type: internal
        Port "qr-9fb96858-db"
            tag: 1
            Interface "qr-9fb96858-db"
                type: internal
        Port "tapc58924cf-10"
            tag: 1
            Interface "tapc58924cf-10"
                type: internal
        Port int-br-ex
            Interface int-br-ex
                type: patch
                options: {peer=phy-br-ex}
    Bridge br-ex
        Port "qg-00d8f4c6-3b"
            Interface "qg-00d8f4c6-3b"
                type: internal
        Port phy-br-ex
            Interface phy-br-ex
                type: patch
                options: {peer=int-br-ex}
        Port br-ex
            Interface br-ex
                type: internal
        Port "eth0"
            Interface "eth0"
    Bridge br-tun
        Port br-tun
            Interface br-tun
                type: internal
        Port patch-int
            Interface patch-int
                type: patch
                options: {peer=patch-tun}
        Port "vxlan-c0a80089"
            Interface "vxlan-c0a80089"
                type: vxlan
                options: {df_default="true", in_key=flow, local_ip="192.168.0.127", out_key=flow, remote_ip="192.168.0.137"}
    ovs_version: "2.3.1"

Comment 3 Boris Derzhavets 2015-04-21 08:19:30 UTC
Target release - Kilo ?  Back port to Juno is required.

Comment 4 Alan Pevec 2015-04-21 08:25:49 UTC
I'll have a look, something went wrong when syncing stage to live.

Comment 5 Alan Pevec 2015-04-21 23:06:32 UTC
rdopkg ignored non-noarch subpackages, I've uploaded x86-64 to RDO Juno now and will look at fixing rdopkg/rdoupdate.


Note You need to log in before you can comment on or make changes to this bug.